# build release

labels:
  platform: linux/amd64
    
steps:
  build:
    when:
      event: [push]
    image: golang:1.24
    commands:
      - go get
      - ./mkrel.sh epuppy v1-${CI_COMMIT_SHA:0:8}
      #- ./mkrel.sh epuppy ${CI_COMMIT_TAG}

  publish:
    when:
      event: [push]
    image: woodpeckerci/plugin-release
    settings:
      files:
        - 'releases/epuppy-*-v1-${CI_COMMIT_SHA:0:8}'
      api_key:
        from_secret: DEPLOY_TOKEN
